View Issue Details

IDProjectCategoryView StatusLast Update
0031586LazarusLCLpublic2017-04-03 20:46
ReporterСМ630Assigned ToMichl 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformWindowsOSOS Version7
Product VersionProduct Build54278 
Target Version1.8Fixed in Version1.7 (SVN) 
Summary0031586: TMemo disappers after executing .BorderStyle:=bsNone; in .FormResize routine
DescriptionTMemo disappers after executing .BorderStyle:=bsNone; in .OnResize routine
Steps To ReproduceCreate a TMemo named Memo1 and add the code below in .FormResize.
Execute the application and double click on the titlebar to maximize the form. The memo will disappear.
The memo might disappear or reappear, when the form is resized (by dragging its borders).

After uncommenting „{if (Memo1.BorderStyle<> bsNone) then}‟ behaviour is okay.

procedure TForm1.FormResize(Sender: TObject);
var
  NewWidth, NewHeight: integer;
begin
  NewWidth:= self.Width-10;
  NewHeight:=self.Height-30;
  Memo1.Left:=2;
  Memo1.Top:=26;
  Memo1.Width:=NewWidth;
  Memo1.Height:=NewHeight;

  {if (Memo1.BorderStyle<> bsNone) then} Memo1.BorderStyle:=bsNone;
end;
TagsNo tags attached.
Fixed in Revisionr54509
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

Bart Broersma

2017-03-23 20:10

developer   ~0099176

As always: please attach a sample project (sources only) illustrating the problem.

СМ630

2017-03-24 09:28

reporter  

LBT0031586.7z (60,080 bytes)

СМ630

2017-03-24 09:29

reporter   ~0099188

Sample project attached.
http://mantis.freepascal.org/file_download.php?file_id=26201&type=bug

Michl

2017-04-03 20:46

developer   ~0099350

Fixed in trunk. Please test and close if ok.

Issue History

Date Modified Username Field Change
2017-03-23 07:58 СМ630 New Issue
2017-03-23 08:04 Jonas Maebe Project FPC => Lazarus
2017-03-23 20:10 Bart Broersma LazTarget => -
2017-03-23 20:10 Bart Broersma Note Added: 0099176
2017-03-23 20:10 Bart Broersma Status new => feedback
2017-03-24 09:28 СМ630 File Added: LBT0031586.7z
2017-03-24 09:29 СМ630 Note Added: 0099188
2017-03-24 09:29 СМ630 Status feedback => new
2017-04-03 20:44 Michl Assigned To => Michl
2017-04-03 20:44 Michl Status new => assigned
2017-04-03 20:46 Michl Fixed in Revision => r54509
2017-04-03 20:46 Michl Widgetset => Win32/Win64
2017-04-03 20:46 Michl Note Added: 0099350
2017-04-03 20:46 Michl Status assigned => resolved
2017-04-03 20:46 Michl Fixed in Version => 1.7 (SVN)
2017-04-03 20:46 Michl Resolution open => fixed
2017-04-03 20:46 Michl Target Version => 1.8